@echo off
cd\
%windir:~0,2%

cls
echo *************************************************************
echo *                                                           *
echo * KGuard Information Co., Ltd.                              *
echo * DVR Ocx removal tool                                      *
echo * Update at 2014/09/10                                      *
echo * Available for                                             *
echo * SHA / SHA V2 / NS / BR / OT / EL / AR / NVR / EL Pro / MH *
echo *                                                           *
echo *************************************************************

echo Today is %date%

echo Starting...

set ArpDel=false

set CleanCache=false


@if exist %windir%\SysWOW64\ (cd %windir%\SysWoW64\) else (cd %windir%\System32\)



:procSHA
@if NOT exist dvrocx.ocx (goto	procNVR)
echo found SHA components
@set ArpDel=true

regsvr32 /u dvrocx.ocx

del dvroc*.* 
del rm_dvr*.*
del hi_h264de*.*

del amrdll.dll
del AudioDecoder.dll
del chipdecoder.dll
del CovH264ToAvi.dll
del lib_VoiceEngine_dll.dll
del Logo_Language.ini
del nvrfs.dll
del winpubf.dll


:procNVR
@if NOT exist RSVideoN.ocx (goto procNSBR)
echo found NVR components
@set ArpDel=true
@regsvr32/u RSVideoN.ocx
@del RSVideoN.ocx


:procNSBR
@if NOT exist RSVideo.ocx (goto procOT)
@set ArpDel=true
@set CleanCache=true

echo removing EL Pro/MH/EL/NS/BR components...

regsvr32/u RSVideo.ocx
del RSVideo.ocx

@if exist RSVideoM.ocx (regsvr32 /u RSVideoM.ocx)
delete RSVideoM.ocx



del AVI.dll
del hi_h264dec_w.dll
del hisi_voice_engine.dll
del lib_VoiceEngine_dll.dll
del RSNet.dll
del RSPlay.dll
del CHT.xml
del ENU.xml
del THA.xml
del RUS.xml
del PTG.xml
del JPN.xml
del ESN.xml
del FRA.xml
del PTG.xml
del RSSkinLorex.dll
del RSSkinFlir.dll
del RSSkinNormal.dll
del RSSkinKguard.dll
del RSSkinHoneywell.dll
del RSSkinHiviewer.dll 
del RSSkinGreatek.dll 
del RSSkinUI2.0.dll
del msLbtdown.dll
del CHS_521.xml
del ENU_521.xml
del HEB.xml
del RSIPCSkinNormal.dll
del CHS_618.xml
del ENU_618.xml

del avcodec-53.dll
del avutil-51.dll
del libpthread-2.dll
del RSVideoM.inf


:procOT
@if NOT exist NetDvr.ocx (goto procAR)
echo found OT components
@set ArpDel=true

regsvr32/u NetDvr.ocx
del NetDvr.ocx
del NPLANGUAGE.dll
del NPDVRNET.dll
del NP264PLAY.dll

del English.xml
del "Chinese Simplified.xml"
del "Chinese Traditional.xml"
del Japanese.xml
del Persian.xml
del Russian.xml
del Italian.xml
del Portuguese.xml
del Spanish.xml


:procAR
@set	arocx=false
@if exist RMN9_DVR.ocx (set arocx=true)
@if exist N9_DVR.ocx (set arocx=true)
@if exist N9_ActiveX.ocx (set arocx=true)
@if %arocx%==false (goto procNVR2)
echo found AR components
@set ArpDel=true

@if exist RMN9_DVR.ocx (regsvr32/u RMN9_DVR.ocx)
@if exist N9_DVR.ocx (regsvr32/u N9_DVR.ocx)
@if exist N9_ActiveX.ocx (regsvr32/u N9_ActiveX.ocx)

del AmrDll.dll
del chipdecoder.dll
del hi_h264dec.dll
del hi_h264dec_w.dll
del lib_VoiceEngine_dll.dll
del RMN9_DVR.ocx
del N9_DVR.ocx
del avapi.dll
del napi.dll
del HTSound.dll
del rmvftostdf.dll
del N9_ActiveX.ocx
del UdtApi.dll


:procNVR2
@if exist RSWebNVR2.ocx (regsvr32 /u RSWebNVR2.ocx)
cd %appdata%
@if NOT exist OCX_NVR\RSWebNVR2.ocx (goto procCleanCache)
regsvr32 /u OCX_NVR\RSWebNVR2.ocx
rd OCX_NVR /s/q
cd\

:procCleanCache
if %CleanCache%==false (goto procEnd)
@echo cleanning caches....
del /f /q "%userprofile%\cookies\*.*" 
del /f /q "%userprofile%\recent\*.*"
del /f /s /q "%userprofile%\Local Settings\Temporary Internet Files\*.*" 
del /f /s /q "%userprofile%\Local Settings\Temp\*.*" 
del /f /s /q "%userprofile%\recent\*.*"
@echo caches cleaned


:procEnd
if %ArpDel%==true (arp -d)
echo All required task has been finished.
@echo on
@pause
